Bug 304 - KMixer is opened in full window on KDE startup (the second and later times)
: KMixer is opened in full window on KDE startup (the second and later times)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdemultimedia)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-01-01 23:40 by
Modified: 2003-09-24 12:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-01-01 23:40:33
Sometimes kmix shows the mixer in full window on KDE startup. One has to close
it it each time (or every second time).
---
When KDE is started (for the first time), mixer settings are restored by a call
to kmix. Its icon is embedded into the dock. Then, we exit KDE (and save
session to be restored the next time we start KDE).

The second time we start KDE, kmix is started just like the first time in order
to restore mixer settings and it is embedded into the dock. But then the
previous session is restored: there was a kmix running, and now it is called
once more. The second call to kmix causes it to show the mixer in full window.
One has to close it.

And so on (every single or every second KDE startup).

---
------- Comment #1 From 2002-01-01 23:42:35 -------
Switching \"load volumes on login\" in K Control Center -> Sound
-> Mixer has no effect.
------- Comment #2 From 2002-01-01 23:42:35 -------
Switching \"load volumes on login\" in K Control Center -> Sound
-> Mixer has no effect.
------- Comment #3 From 2002-01-03 11:40:47 -------
> Switching \"load volumes on login\" in 
> K Control Center -> Sound -> Mixer has no effect. 
arts started?
------- Comment #4 From 2002-01-03 11:40:47 -------
> Switching \"load volumes on login\" in 
> K Control Center -> Sound -> Mixer has no effect. 
arts started?
------- Comment #5 From 2002-01-16 18:49:59 -------
fixed in 2.2.2-alt6
------- Comment #6 From 2002-01-16 18:49:59 -------
fixed in 2.2.2-alt6
------- Comment #7 From 2003-09-24 12:23:27 -------
reassign 2 zerg@altlinux.org